Почему Canonical отменила поддержку Gimp и как оправиться от нее?

Мне предложили обновление до 16.04. Во время обновления я увидел это:

аннотированный снимок экрана

Я могу понять, почему Expect и w3m отбрасываются, но почему Gimp?

Что еще более важно, как я могу найти готовые пакеты, которые я могу установить через apt-get или Ubuntu Software Center (но они отбрасывают часть «Центра»).

Что означает «сообщество»?

Этот GIMP больше не поддерживается Canonical, не означает, что он не будет доступен в репозиториях Ubuntu. Это будет, но не в main разделе, вместо этого в разделе universe .

  • В чем разница между мультивселенной, вселенной, ограниченной и основной?
  • Как включить репозиторий «Вселенная»?

Из индекса пакета :

Пакет gimp

  • точная (12.04LTS) (графика): программа манипулирования изображениями GNU
    2.6.12-1ubuntu1.3 [ безопасность ]: amd64 i386
    2.6.12-1ubuntu1 [ ports ]: armhf powerpc
  • точные обновления (графика): программа манипулирования изображениями GNU
    2.6.12-1ubuntu1.3: amd64 armhf i386 powerpc
  • trusty (14.04LTS) (графика): программа манипулирования изображениями GNU
    2.8.10-0ubuntu1: amd64 arm64 armhf i386 powerpc ppc64el
  • wily (графика): программа манипулирования изображениями GNU
    2.8.14-1ubuntu2: amd64 arm64 armhf i386 powerpc ppc64el
  • xenial (графика): программа манипулирования изображениями GNU [ вселенная ]
    2.8.16-1ubuntu1: amd64 arm64 armhf i386 powerpc ppc64el s390x
  • yakkety (графика): программа манипулирования изображениями GNU [ вселенная ]
    2.8.16-1ubuntu1: amd64 arm64 armhf i386 powerpc ppc64el s390x

«Сообщество» – это тот, кто не оплачивается Canonical для работы над Ubuntu: армия добровольцев, которые работают на Ubuntu (в основном большинство людей, которые способствуют развитию Ubuntu).

  • Внести вклад в сообщество Ubuntu
  • Как я могу внести вклад в Ubuntu?

main программным обеспечением является либо программное обеспечение, поставляемое на официальные выпущенные ISO-версии Ubuntu, либо важнейшее программное обеспечение, которое разработчики Canonical считают, что они могут или должны поддерживать продолжительность выпуска (5 лет для LTS). GIMP был исключен из ISO Ubuntu в 10.04 , и я поражен тем, что он остался в main течение 6 лет после этого. Вероятно, тот, кто поддерживал его в Canonical, перешел к другим проектам.

Репозитории ubuntu разделены на четыре части.

  • main: бесплатное программное обеспечение, поддерживаемое каноническим
  • ограниченное: несвободное программное обеспечение, поддерживаемое каноническим (прошивка, драйверы и т. д.),
  • Вселенная: бесплатное программное обеспечение, не поддерживаемое каноническим
  • multiverse: несвободное программное обеспечение, не поддерживаемое каноническими

Программное обеспечение не в основном не поддерживается каноническим. Основное практическое влияние этого для тех из нас, кто не покупает контракты на поддержку, заключается в том, что обновления безопасности гораздо реже появляются своевременно и к концу жизненного цикла релиза могут вообще не появляться.

В общем, материал попадает в основную часть, потому что это часть одной из установок Ubuntus по умолчанию. Некоторое время назад Gimp был отключен от установки по умолчанию, и я думаю, что они, наконец, добрались до его удаления из основного.

Это имеет значение? В общем, я бы сказал, нет, редактор изображений обычно имеет относительно низкое воздействие угроз безопасности. Тем более, что сами форматы изображений обычно обрабатываются внешними библиотеками, которые (по крайней мере, для обычных форматов), вероятно, будут оставаться в основном.

Поэтому, чтобы ответить на вопрос «как оправиться от него» в названии, я бы посоветовал вам просто не беспокоиться об этом.